Page MenuHomePhabricator

overlayworkingctx: invalidate the manifest cache when changing parents
ClosedPublic

Authored by phillco on Oct 26 2017, 12:48 AM.

Details

Summary

This fixes problems noticeable when rebasing several commits into one
destination commit using `--collapse`. The manifest cache needs to be cleared
each time.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

phillco updated this revision to Diff 4190.Dec 7 2017, 4:22 PM
phillco updated this revision to Diff 4209.Dec 7 2017, 4:44 PM
phillco updated this revision to Diff 4217.Dec 7 2017, 4:52 PM
durin42 accepted this revision.Dec 7 2017, 4:57 PM
This revision is now accepted and ready to land.Dec 7 2017, 4:57 PM
phillco updated this revision to Diff 4236.Dec 8 2017, 1:38 AM
dlax added a subscriber: dlax.Dec 8 2017, 4:23 AM
dlax added inline comments.
mercurial/context.py
2003 ↗(On Diff #4236)

Wouldn't util.clearcachedproperty(self, '_manifest') work?

dlax requested changes to this revision.Dec 8 2017, 4:23 AM
This revision now requires changes to proceed.Dec 8 2017, 4:23 AM
phillco added inline comments.Dec 8 2017, 2:58 PM
mercurial/context.py
2003 ↗(On Diff #4236)

Thanks! I did not know about it -- will use.

phillco updated this revision to Diff 4258.Dec 8 2017, 3:00 PM
phillco marked 2 inline comments as done.Dec 8 2017, 3:05 PM
durin42 accepted this revision.Dec 8 2017, 3:34 PM
This revision was automatically updated to reflect the committed changes.